Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
sockaddr_storage Struct Reference

`#include <rubysocket.h>`

## Data Fields
unsigned short | ss_family
char | __ss_pad1 [_SS_PAD1SIZE]
double | __ss_align
char | __ss_pad2 [_SS_PAD2SIZE]

## Detailed Description

Definition at line 179 of file rubysocket.h.

## Field Documentation

## ◆ __ss_align

double sockaddr_storage::__ss_align

Definition at line 187 of file rubysocket.h.

## ◆ __ss_pad1

char sockaddr_storage::__ss_pad1[_SS_PAD1SIZE]

Definition at line 186 of file rubysocket.h.

## ◆ __ss_pad2

char sockaddr_storage::__ss_pad2[_SS_PAD2SIZE]

Definition at line 188 of file rubysocket.h.

## ◆ ss_family

unsigned short sockaddr_storage::ss_family

Definition at line 184 of file rubysocket.h.

The documentation for this struct was generated from the following file:

- ext/socket/rubysocket.h